package lingtao.net.service;

import lingtao.net.bean.ProductImg;
import lingtao.net.bean.SysDictProduct;
import lingtao.net.dao.ProductImgMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ProductImgService {

    @Autowired
    private ProductImgMapper productImgMapper;

    public List<ProductImg> getProKindList(ProductImg productImg) {
        return productImgMapper.getProKindList(productImg);
    }

    public SysDictProduct getLabel(ProductImg productImg) {
        return productImgMapper.getLabel(productImg);
    }

    public int addImgUrl(ProductImg productImg) {
        return productImgMapper.addImgUrl(productImg);
    }

    public int updateImgUploadRemark(ProductImg productImg) {
        return productImgMapper.updateImgUploadRemark(productImg);
    }

    public List<SysDictProduct> findAllPro() {
        return productImgMapper.findAllPro();
    }

    public List<SysDictProduct> getKindsByPro(String proTypeValue) {
        return productImgMapper.getKindsByPro(proTypeValue);
    }

    public List<SysDictProduct> getKind2sByKind(String proTypeValue, String kindValue) {
        return productImgMapper.getKind2sByKind(proTypeValue, kindValue);
    }

    public List<ProductImg> getImgsByProKind(String proTypeValue, String kindValue, String kind2Value, String craftValue) {
        return productImgMapper.getImgsByProKind(proTypeValue, kindValue, kind2Value, craftValue);
    }

    public List<String> getVideos() {
        return productImgMapper.getVideos();
    }

}
